Bug 1798051 - Don't deprecate v1alpha2 OperatorGroup
Summary: Don't deprecate v1alpha2 OperatorGroup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.0
Assignee: Alexander Greene
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On:
Blocks: 1804831
TreeView+ depends on / blocked
 
Reported: 2020-02-04 13:37 UTC by Evan Cordell
Modified: 2020-07-13 17:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: OLM did not deprecate the v1alpha2 operatorgroup crd correctly when introducing a structural schema. Consequence: v1alpha2 operatorgroups were no longer supported and could not be created. Fix: Reintroduce the v1alpha2 opreatorgroup crd. Result: OLM still supports version v1alpha2 of operatorgroup crds.
Clone Of:
Environment:
Last Closed: 2020-07-13 17:14:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1289 None closed Bug 1798051: Reinstate v1alpha2 operatorgroup 2020-07-08 01:22:46 UTC
Github operator-framework operator-lifecycle-manager pull 1300 None closed Bug 1798051: Reinstate v1alpha2 operatorgroup 2020-07-08 01:22:46 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:14:28 UTC

Description Evan Cordell 2020-02-04 13:37:31 UTC
When we added structural schemas, we inadvertently dropped v1alpha2 operatorgroup. This wasn't communicated as a deprecated api, so we should not remove it from 4.4.


4.3 still has the v1alpha2, but this backport PR needs to be updated to include it before it can merge: https://github.com/operator-framework/operator-lifecycle-manager/pull/1197

Marking the related bug blocked on this one.

Comment 1 Alexander Greene 2020-02-19 17:14:34 UTC
Moving this to 4.5, will clone to 4.4 and 4.3

Comment 10 Bruno Andrade 2020-03-10 16:45:48 UTC
Cluster version: 4.5.0-0.nightly-2020-03-06-190457

1, Create an OperatorGroup object with the v1alpha2 api version.
cat og.yaml 
apiVersion: operators.coreos.com/v1alpha2
kind: OperatorGroup
metadata:
  name: test-og
  namespace: default
spec:
  targetNamespaces:
  - default


oc create -f og.yaml                                                                                                   operatorgroup.operators.coreos.com/test-og created

 oc get og -n default test-og -o yaml
apiVersion: operators.coreos.com/v1
kind: OperatorGroup
metadata:
  creationTimestamp: "2020-03-10T00:38:00Z"
  generation: 1
  name: test-og
  namespace: default
  resourceVersion: "409474"
  selfLink: /apis/operators.coreos.com/v1/namespaces/default/operatorgroups/test-og
  uid: cea20f35-7216-4a3f-8271-762eda1b67df
spec:
  targetNamespaces:
  - default
status:
  lastUpdated: "2020-03-10T00:38:00Z"
  namespaces:
  - default

The OperatorGroup works well, LGTM, verify it.

Comment 12 errata-xmlrpc 2020-07-13 17:14:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.